{
  "format": 1,
  "restore": {
    "D:\\Code\\20201209\\Laisi_AutoMES2\\Server\\Apis\\Siger.Middlelayer.ApiGateway\\Siger.Middlelayer.ApiGateway.csproj": {}
  },
  "projects": {
    "D:\\Code\\20201209\\Laisi_AutoMES2\\Server\\Apis\\Siger.ApiCommon\\Siger.ApiCommon.csproj": {
      "version": "1.0.0",
      "restore": {
        "projectUniqueName": "D:\\Code\\20201209\\Laisi_AutoMES2\\Server\\Apis\\Siger.ApiCommon\\Siger.ApiCommon.csproj",
        "projectName": "Siger.ApiCommon",
        "projectPath": "D:\\Code\\20201209\\Laisi_AutoMES2\\Server\\Apis\\Siger.ApiCommon\\Siger.ApiCommon.csproj",
        "packagesPath": "C:\\Users\\siger\\.nuget\\packages\\",
        "outputPath": "D:\\Code\\20201209\\Laisi_AutoMES2\\Server\\Apis\\Siger.ApiCommon\\obj\\",
        "projectStyle": "PackageReference",
        "fallbackFolders": [
          "D:\\Microsoft\\Xamarin\\NuGet\\"
        ],
        "configFilePaths": [
          "C:\\Users\\siger\\AppData\\Roaming\\NuGet\\NuGet.Config",
          "C:\\Program Files (x86)\\NuGet\\Config\\Microsoft.VisualStudio.Offline.config",
          "C:\\Program Files (x86)\\NuGet\\Config\\Xamarin.Offline.config"
        ],
        "originalTargetFrameworks": [
          "netstandard2.0"
        ],
        "sources": {
          "C:\\Program Files (x86)\\Microsoft SDKs\\NuGetPackages\\": {},
          "http://172.8.10.111:8081/repository/nuget-hosted/": {},
          "https://api.nuget.org/v3/index.json": {}
        },
        "frameworks": {
          "netstandard2.0": {
            "projectReferences": {
              "D:\\Code\\20201209\\Laisi_AutoMES2\\Server\\Common\\Siger.Middlelayer.Common\\Siger.Middlelayer.Common.csproj": {
                "projectPath": "D:\\Code\\20201209\\Laisi_AutoMES2\\Server\\Common\\Siger.Middlelayer.Common\\Siger.Middlelayer.Common.csproj"
              },
              "D:\\Code\\20201209\\Laisi_AutoMES2\\Server\\Common\\Siger.Middlelayer.Log\\Siger.Middlelayer.Log.csproj": {
                "projectPath": "D:\\Code\\20201209\\Laisi_AutoMES2\\Server\\Common\\Siger.Middlelayer.Log\\Siger.Middlelayer.Log.csproj"
              },
              "D:\\Code\\20201209\\Laisi_AutoMES2\\Server\\Infrastructure\\Siger.Middlelayer.Redis\\Siger.Middlelayer.Redis.csproj": {
                "projectPath": "D:\\Code\\20201209\\Laisi_AutoMES2\\Server\\Infrastructure\\Siger.Middlelayer.Redis\\Siger.Middlelayer.Redis.csproj"
              }
            }
          }
        },
        "warningProperties": {
          "warnAsError": [
            "NU1605"
          ]
        }
      },
      "frameworks": {
        "netstandard2.0": {
          "dependencies": {
            "Consul": {
              "target": "Package",
              "version": "[1.6.1.1, )"
            },
            "Microsoft.AspNetCore.Cors": {
              "target": "Package",
              "version": "[2.2.0, )"
            },
            "Microsoft.AspNetCore.Mvc.Core": {
              "target": "Package",
              "version": "[2.2.5, )"
            },
            "Microsoft.AspNetCore.StaticFiles": {
              "target": "Package",
              "version": "[2.2.0, )"
            },
            "Microsoft.Extensions.Configuration": {
              "target": "Package",
              "version": "[3.1.7, )"
            },
            "Microsoft.Extensions.Configuration.Binder": {
              "target": "Package",
              "version": "[3.1.7, )"
            },
            "Microsoft.Extensions.Configuration.Ini": {
              "target": "Package",
              "version": "[3.1.7, )"
            },
            "Microsoft.Extensions.Configuration.Json": {
              "target": "Package",
              "version": "[3.1.7, )"
            },
            "Microsoft.Extensions.Hosting.Abstractions": {
              "target": "Package",
              "version": "[3.1.7, )"
            },
            "NETStandard.Library": {
              "suppressParent": "All",
              "target": "Package",
              "version": "[2.0.3, )",
              "autoReferenced": true
            },
            "Swashbuckle.AspNetCore.Swagger": {
              "target": "Package",
              "version": "[5.5.1, )"
            },
            "Swashbuckle.AspNetCore.SwaggerGen": {
              "target": "Package",
              "version": "[5.5.1, )"
            },
            "Swashbuckle.AspNetCore.SwaggerUI": {
              "target": "Package",
              "version": "[5.5.1, )"
            },
            "System.Text.Json": {
              "target": "Package",
              "version": "[4.7.2, )"
            }
          },
          "imports": [
            "net461",
            "net462",
            "net47",
            "net471",
            "net472",
            "net48"
          ],
          "assetTargetFallback": true,
          "warn": true,
          "runtimeIdentifierGraphPath": "C:\\Program Files\\dotnet\\sdk\\3.1.201\\RuntimeIdentifierGraph.json"
        }
      }
    },
    "D:\\Code\\20201209\\Laisi_AutoMES2\\Server\\Apis\\Siger.Middlelayer.ApiGateway\\Siger.Middlelayer.ApiGateway.csproj": {
      "version": "1.0.0",
      "restore": {
        "projectUniqueName": "D:\\Code\\20201209\\Laisi_AutoMES2\\Server\\Apis\\Siger.Middlelayer.ApiGateway\\Siger.Middlelayer.ApiGateway.csproj",
        "projectName": "Siger.Middlelayer.ApiGateway",
        "projectPath": "D:\\Code\\20201209\\Laisi_AutoMES2\\Server\\Apis\\Siger.Middlelayer.ApiGateway\\Siger.Middlelayer.ApiGateway.csproj",
        "packagesPath": "C:\\Users\\siger\\.nuget\\packages\\",
        "outputPath": "D:\\Code\\20201209\\Laisi_AutoMES2\\Server\\Apis\\Siger.Middlelayer.ApiGateway\\obj\\",
        "projectStyle": "PackageReference",
        "fallbackFolders": [
          "D:\\Microsoft\\Xamarin\\NuGet\\"
        ],
        "configFilePaths": [
          "C:\\Users\\siger\\AppData\\Roaming\\NuGet\\NuGet.Config",
          "C:\\Program Files (x86)\\NuGet\\Config\\Microsoft.VisualStudio.Offline.config",
          "C:\\Program Files (x86)\\NuGet\\Config\\Xamarin.Offline.config"
        ],
        "originalTargetFrameworks": [
          "netcoreapp3.1"
        ],
        "sources": {
          "C:\\Program Files (x86)\\Microsoft SDKs\\NuGetPackages\\": {},
          "http://172.8.10.111:8081/repository/nuget-hosted/": {},
          "https://api.nuget.org/v3/index.json": {}
        },
        "frameworks": {
          "netcoreapp3.1": {
            "projectReferences": {
              "D:\\Code\\20201209\\Laisi_AutoMES2\\Server\\Apis\\Siger.ApiCommon\\Siger.ApiCommon.csproj": {
                "projectPath": "D:\\Code\\20201209\\Laisi_AutoMES2\\Server\\Apis\\Siger.ApiCommon\\Siger.ApiCommon.csproj"
              },
              "D:\\Code\\20201209\\Laisi_AutoMES2\\Server\\Common\\Siger.Middlelayer.Common\\Siger.Middlelayer.Common.csproj": {
                "projectPath": "D:\\Code\\20201209\\Laisi_AutoMES2\\Server\\Common\\Siger.Middlelayer.Common\\Siger.Middlelayer.Common.csproj"
              },
              "D:\\Code\\20201209\\Laisi_AutoMES2\\Server\\Common\\Siger.Middlelayer.Log\\Siger.Middlelayer.Log.csproj": {
                "projectPath": "D:\\Code\\20201209\\Laisi_AutoMES2\\Server\\Common\\Siger.Middlelayer.Log\\Siger.Middlelayer.Log.csproj"
              },
              "D:\\Code\\20201209\\Laisi_AutoMES2\\Server\\Infrastructure\\Siger.Middlelayer.Redis\\Siger.Middlelayer.Redis.csproj": {
                "projectPath": "D:\\Code\\20201209\\Laisi_AutoMES2\\Server\\Infrastructure\\Siger.Middlelayer.Redis\\Siger.Middlelayer.Redis.csproj"
              }
            }
          }
        },
        "warningProperties": {
          "warnAsError": [
            "NU1605"
          ]
        }
      },
      "frameworks": {
        "netcoreapp3.1": {
          "dependencies": {
            "Microsoft.AspNetCore.Mvc.NewtonsoftJson": {
              "target": "Package",
              "version": "[3.1.5, )"
            },
            "Microsoft.VisualStudio.Web.CodeGeneration.Design": {
              "target": "Package",
              "version": "[3.1.3, )"
            },
            "Ocelot": {
              "target": "Package",
              "version": "[14.0.0, )"
            }
          },
          "imports": [
            "net461",
            "net462",
            "net47",
            "net471",
            "net472",
            "net48"
          ],
          "assetTargetFallback": true,
          "warn": true,
          "frameworkReferences": {
            "Microsoft.AspNetCore.App": {
              "privateAssets": "none"
            },
            "Microsoft.NETCore.App": {
              "privateAssets": "all"
            }
          },
          "runtimeIdentifierGraphPath": "C:\\Program Files\\dotnet\\sdk\\3.1.201\\RuntimeIdentifierGraph.json"
        }
      }
    },
    "D:\\Code\\20201209\\Laisi_AutoMES2\\Server\\Common\\Siger.Middlelayer.Common\\Siger.Middlelayer.Common.csproj": {
      "version": "1.0.0",
      "restore": {
        "projectUniqueName": "D:\\Code\\20201209\\Laisi_AutoMES2\\Server\\Common\\Siger.Middlelayer.Common\\Siger.Middlelayer.Common.csproj",
        "projectName": "Siger.Middlelayer.Common",
        "projectPath": "D:\\Code\\20201209\\Laisi_AutoMES2\\Server\\Common\\Siger.Middlelayer.Common\\Siger.Middlelayer.Common.csproj",
        "packagesPath": "C:\\Users\\siger\\.nuget\\packages\\",
        "outputPath": "D:\\Code\\20201209\\Laisi_AutoMES2\\Server\\Common\\Siger.Middlelayer.Common\\obj\\",
        "projectStyle": "PackageReference",
        "fallbackFolders": [
          "D:\\Microsoft\\Xamarin\\NuGet\\"
        ],
        "configFilePaths": [
          "C:\\Users\\siger\\AppData\\Roaming\\NuGet\\NuGet.Config",
          "C:\\Program Files (x86)\\NuGet\\Config\\Microsoft.VisualStudio.Offline.config",
          "C:\\Program Files (x86)\\NuGet\\Config\\Xamarin.Offline.config"
        ],
        "originalTargetFrameworks": [
          "netstandard2.0"
        ],
        "sources": {
          "C:\\Program Files (x86)\\Microsoft SDKs\\NuGetPackages\\": {},
          "http://172.8.10.111:8081/repository/nuget-hosted/": {},
          "https://api.nuget.org/v3/index.json": {}
        },
        "frameworks": {
          "netstandard2.0": {
            "projectReferences": {}
          }
        },
        "warningProperties": {
          "warnAsError": [
            "NU1605"
          ]
        }
      },
      "frameworks": {
        "netstandard2.0": {
          "dependencies": {
            "Microsoft.Extensions.DependencyInjection.Abstractions": {
              "target": "Package",
              "version": "[3.1.7, )"
            },
            "NETStandard.Library": {
              "suppressParent": "All",
              "target": "Package",
              "version": "[2.0.3, )",
              "autoReferenced": true
            },
            "Newtonsoft.Json": {
              "target": "Package",
              "version": "[12.0.3, )"
            },
            "SharpZipLib": {
              "target": "Package",
              "version": "[1.2.0, )"
            },
            "Siger.CommonUtil": {
              "target": "Package",
              "version": "[1.0.8, )"
            },
            "System.ComponentModel.Annotations": {
              "target": "Package",
              "version": "[4.7.0, )"
            },
            "System.Linq": {
              "target": "Package",
              "version": "[4.3.0, )"
            },
            "System.Text.Encoding.CodePages": {
              "target": "Package",
              "version": "[4.5.1, )"
            }
          },
          "imports": [
            "net461",
            "net462",
            "net47",
            "net471",
            "net472",
            "net48"
          ],
          "assetTargetFallback": true,
          "warn": true,
          "runtimeIdentifierGraphPath": "C:\\Program Files\\dotnet\\sdk\\3.1.201\\RuntimeIdentifierGraph.json"
        }
      }
    },
    "D:\\Code\\20201209\\Laisi_AutoMES2\\Server\\Common\\Siger.Middlelayer.Log\\Siger.Middlelayer.Log.csproj": {
      "version": "1.0.0",
      "restore": {
        "projectUniqueName": "D:\\Code\\20201209\\Laisi_AutoMES2\\Server\\Common\\Siger.Middlelayer.Log\\Siger.Middlelayer.Log.csproj",
        "projectName": "Siger.Middlelayer.Log",
        "projectPath": "D:\\Code\\20201209\\Laisi_AutoMES2\\Server\\Common\\Siger.Middlelayer.Log\\Siger.Middlelayer.Log.csproj",
        "packagesPath": "C:\\Users\\siger\\.nuget\\packages\\",
        "outputPath": "D:\\Code\\20201209\\Laisi_AutoMES2\\Server\\Common\\Siger.Middlelayer.Log\\obj\\",
        "projectStyle": "PackageReference",
        "fallbackFolders": [
          "D:\\Microsoft\\Xamarin\\NuGet\\"
        ],
        "configFilePaths": [
          "C:\\Users\\siger\\AppData\\Roaming\\NuGet\\NuGet.Config",
          "C:\\Program Files (x86)\\NuGet\\Config\\Microsoft.VisualStudio.Offline.config",
          "C:\\Program Files (x86)\\NuGet\\Config\\Xamarin.Offline.config"
        ],
        "originalTargetFrameworks": [
          "netstandard2.0"
        ],
        "sources": {
          "C:\\Program Files (x86)\\Microsoft SDKs\\NuGetPackages\\": {},
          "http://172.8.10.111:8081/repository/nuget-hosted/": {},
          "https://api.nuget.org/v3/index.json": {}
        },
        "frameworks": {
          "netstandard2.0": {
            "projectReferences": {
              "D:\\Code\\20201209\\Laisi_AutoMES2\\Server\\Common\\Siger.Middlelayer.Common\\Siger.Middlelayer.Common.csproj": {
                "projectPath": "D:\\Code\\20201209\\Laisi_AutoMES2\\Server\\Common\\Siger.Middlelayer.Common\\Siger.Middlelayer.Common.csproj"
              }
            }
          }
        },
        "warningProperties": {
          "warnAsError": [
            "NU1605"
          ]
        }
      },
      "frameworks": {
        "netstandard2.0": {
          "dependencies": {
            "MongoDB.Bson": {
              "target": "Package",
              "version": "[2.9.0, )"
            },
            "MongoDB.Driver": {
              "target": "Package",
              "version": "[2.9.0, )"
            },
            "NETStandard.Library": {
              "suppressParent": "All",
              "target": "Package",
              "version": "[2.0.3, )",
              "autoReferenced": true
            }
          },
          "imports": [
            "net461",
            "net462",
            "net47",
            "net471",
            "net472",
            "net48"
          ],
          "assetTargetFallback": true,
          "warn": true,
          "runtimeIdentifierGraphPath": "C:\\Program Files\\dotnet\\sdk\\3.1.201\\RuntimeIdentifierGraph.json"
        }
      }
    },
    "D:\\Code\\20201209\\Laisi_AutoMES2\\Server\\Infrastructure\\Siger.Middlelayer.Redis\\Siger.Middlelayer.Redis.csproj": {
      "version": "1.0.0",
      "restore": {
        "projectUniqueName": "D:\\Code\\20201209\\Laisi_AutoMES2\\Server\\Infrastructure\\Siger.Middlelayer.Redis\\Siger.Middlelayer.Redis.csproj",
        "projectName": "Siger.Middlelayer.Redis",
        "projectPath": "D:\\Code\\20201209\\Laisi_AutoMES2\\Server\\Infrastructure\\Siger.Middlelayer.Redis\\Siger.Middlelayer.Redis.csproj",
        "packagesPath": "C:\\Users\\siger\\.nuget\\packages\\",
        "outputPath": "D:\\Code\\20201209\\Laisi_AutoMES2\\Server\\Infrastructure\\Siger.Middlelayer.Redis\\obj\\",
        "projectStyle": "PackageReference",
        "fallbackFolders": [
          "D:\\Microsoft\\Xamarin\\NuGet\\"
        ],
        "configFilePaths": [
          "C:\\Users\\siger\\AppData\\Roaming\\NuGet\\NuGet.Config",
          "C:\\Program Files (x86)\\NuGet\\Config\\Microsoft.VisualStudio.Offline.config",
          "C:\\Program Files (x86)\\NuGet\\Config\\Xamarin.Offline.config"
        ],
        "originalTargetFrameworks": [
          "netstandard2.0"
        ],
        "sources": {
          "C:\\Program Files (x86)\\Microsoft SDKs\\NuGetPackages\\": {},
          "http://172.8.10.111:8081/repository/nuget-hosted/": {},
          "https://api.nuget.org/v3/index.json": {}
        },
        "frameworks": {
          "netstandard2.0": {
            "projectReferences": {
              "D:\\Code\\20201209\\Laisi_AutoMES2\\Server\\Common\\Siger.Middlelayer.Common\\Siger.Middlelayer.Common.csproj": {
                "projectPath": "D:\\Code\\20201209\\Laisi_AutoMES2\\Server\\Common\\Siger.Middlelayer.Common\\Siger.Middlelayer.Common.csproj"
              }
            }
          }
        },
        "warningProperties": {
          "warnAsError": [
            "NU1605"
          ]
        }
      },
      "frameworks": {
        "netstandard2.0": {
          "dependencies": {
            "CSRedisCore": {
              "target": "Package",
              "version": "[3.6.5, )"
            },
            "NETStandard.Library": {
              "suppressParent": "All",
              "target": "Package",
              "version": "[2.0.3, )",
              "autoReferenced": true
            }
          },
          "imports": [
            "net461",
            "net462",
            "net47",
            "net471",
            "net472",
            "net48"
          ],
          "assetTargetFallback": true,
          "warn": true,
          "runtimeIdentifierGraphPath": "C:\\Program Files\\dotnet\\sdk\\3.1.201\\RuntimeIdentifierGraph.json"
        }
      }
    }
  }
}